<?php
// backup database module for dotProject
// (c)2003 Daniel Vijge
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// Changes by Adam Donnison <ajdonnison@dotproject.net>
// Changes include:
//   Upgraded to work with dotProject 2.0
//   Added permissions check to ensure user is allowed to backup
//   Added XML backup option
//   Completely reworked the backup system to use ADODB primitives.
//   Added localisation code so that it can be translated.

// Backup database module for web2Project
// Copyright (C) 2015, M2X BV
// Jean-Paul Saman

$perms = &$AppUI->acl();
if (!$perms->checkModuleItem('backup', 'access')) {
    $AppUI->redirect(ACCESS_DENIED);
}

// Which tab do we need to show?
$tab = $AppUI->processIntState('backupIdxTab', $_GET, 'tab', 0);

// we check for permissions on this module
$canRead = $perms->checkModule( $m, 'view' );
$canEdit = $perms->checkModule( $m, 'edit' );
$canDelete = $perms->checkModule( $m, 'delete' );

// lock out users that do not have at least readPermission on this module
if (!$canRead) {
    $AppUI->redirect( "m=public&a=access_denied" );
}

$title = new CTitleBlock('Backup Database', 'companies.gif', $m, $m .'.'.$a);
$title->addCell();
$title->addCell(
		'<input type="submit" class="button" value="'.$AppUI->_('restore xml file').'">', '',
	        '<form action="?m=backup&a=addedit" method="post">', '</form>'
	);
$title->show();

// now prepare and show the tabbed information boxes

// build new tab box object
$tabBox = new CTabBox( "?m=$m", W2P_BASE_DIR . "/modules/$m/", $tab );
$tabBox->add( 'vw_backup', 'Backups' );
$tabBox->add( 'vw_restore', "Restore' );
$tabBox->show();
?>
